summaryrefslogtreecommitdiffstats
path: root/contrib/bind/bin/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/bind/bin/Makefile')
-rw-r--r--contrib/bind/bin/Makefile12
1 files changed, 6 insertions, 6 deletions
diff --git a/contrib/bind/bin/Makefile b/contrib/bind/bin/Makefile
index 57fcc58..5b56413 100644
--- a/contrib/bind/bin/Makefile
+++ b/contrib/bind/bin/Makefile
@@ -13,16 +13,16 @@
## ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS
## SOFTWARE.
-# $Id: Makefile,v 8.28 2000/07/11 06:41:26 vixie Exp $
+# $Id: Makefile,v 8.30 2000/12/23 08:02:48 vixie Exp $
DESTDIR=
CC= cc
SHELL= /bin/sh
-CDEBUG= -g
+CDEBUG= -g -Wall
#(net2 and its descendents)
-SYSTYPE = bsdos
+SYSTYPE = freebsd
TOP = ..
O=o
A=a
@@ -67,11 +67,11 @@ SUBDIRS = addr nslookup dig dnsquery host named named-xfer ndc nsupdate \
all: ${SUBDIRS}
${SUBDIRS}: FRC
- @(cd $@; pwd; ${MAKE} ${MARGS})
+ @(cd $@; pwd; ${MAKE} ${MARGS}) || exit 1
install depend tags clean distclean::
@for x in ${SUBDIRS}; do \
- (cd $$x; pwd; ${MAKE} ${MARGS} $@); \
+ (cd $$x; pwd; ${MAKE} ${MARGS} $@) || exit 1; \
done
distclean:: clean
@@ -85,7 +85,7 @@ links: FRC
( mkdir $$x; cd $$x; pwd; ln -s ../SRC/$$x SRC; \
cp SRC/Makefile Makefile; chmod +w Makefile; \
$(MAKE) $(MARGS) links; \
- ); \
+ ) || exit 1; \
done
FRC:
OpenPOWER on IntegriCloud